CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfSoundStreamChunk Struct Reference

defines the data to fill by the OnGetData callback More...

`#include <CSFML/Audio/SoundStream.h>`

## Public Attributes
int16_t * | samples
| Pointer to the audio samples.
unsigned int | sampleCount
| Number of samples pointed by Samples.

## Detailed Description

defines the data to fill by the OnGetData callback

Definition at line 47 of file SoundStream.h.

## Member Data Documentation

## ◆ sampleCount

unsigned int sfSoundStreamChunk::sampleCount

Number of samples pointed by Samples.

Definition at line 50 of file SoundStream.h.

## ◆ samples

int16_t* sfSoundStreamChunk::samples

Pointer to the audio samples.

Definition at line 49 of file SoundStream.h.

The documentation for this struct was generated from the following file:

- SoundStream.h